<?php

if ( $_SERVER['SERVER_NAME'] == 'localhost') {
    try  // si tout va bien php fait ce qu'il y a dans try (et passe ce qu'il y a dans catch)
    {
        $bdd = new PDO ('mysql:host=localhost;dbname=acts2','root','root');  //PDO est une extension orianté object ; '' = mpd mais il n'y en a pas
        $bdd->query("SET NAMES 'utf8'"); //Met les accents
    }
    catch (Exception $e) // Si il y a eu probleme dans try, php excecute le catch
    {
        die('Erreur : ' . $e->getMessage()); // die : arrete l'execution de la page (ici on affiche l'erreur)
    }
} else {
    try
    {
        $bdd = new PDO ('mysql:host=mysql51-98.perso;dbname=studioachtchd','studioachtchd','Znt4yrA5suvR');
        $bdd->query("SET NAMES 'utf8'"); //Met les accents
    }
    catch (Exception $e)
    {
        die('Erreur : ' . $e->getMessage());
    }
}

?>
